Bug 479724 - F-Spot doesn't respect umask when it creates files
F-Spot doesn't respect umask when it creates files
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 13:10 EST by Douglas E. Warner
Modified: 2009-07-30 15:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 15:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
small mono test utility to check whether mono obeys the user's umask (151 bytes, text/plain)
2009-07-15 16:11 EDT, Christian Krause
no flags Details

  None (edit)
Description Douglas E. Warner 2009-01-12 13:10:22 EST
Version: f-spot-0.5.0.3-2.fc10.x86_64

When modifying files, the new files don't have my current umask (0002) and instead get created with a mode of 0620.  This is problematic for me as the files need to be accessible to the group in order to be accessed.
Comment 1 Douglas E. Warner 2009-01-12 13:11:23 EST
Forgot to mention that I found a similar bug reported against Mono in Ubuntu that was fixed late last year, but it seems like that was in Mono 1.2:

https://bugs.launchpad.net/ubuntu/+source/f-spot/+bug/201395
Comment 2 Christian Krause 2009-07-15 16:08:53 EDT
Hi Douglas,

I've tried to reproduce the problem on an F10 and F11 system (x86) but without success so far.

I did the following:

- start an xterm
- umask 0000
- f-spot
- edit a picture (e.g. use the Sepia Tone filter)
- check the newly created files - they should have 0666 as permission

So far the umask was always honored correctly.

Please can you provide some more information an/or do some tests?

1. Does it still happens on a fullly updated system?
2. Can you try whether it happens for you on a x86 (32bit) as well?
3. Try the attached test program:
- gmcs umask-test.cs
- umask 0000
- run the program - it will generate a file "umask-test.tmp":
mono ./umask-test.cs
- check the permissions of this file

Best regards,
Christian
Comment 3 Christian Krause 2009-07-15 16:11:12 EDT
Created attachment 353898 [details]
small mono test utility to check whether mono obeys the user's umask
Comment 4 Douglas E. Warner 2009-07-30 15:16:49 EDT
Sorry, I'm not in a position to test this out any more.  Feel free to close.

Note You need to log in before you can comment on or make changes to this bug.